
package com.jeelowcode.core.framework.config.btncommand;

import com.jeelowcode.core.framework.config.btncommand.button.IButtonCommand;

/**
 * 命令发起者
 */
public class ButtonInvoker<T> {

    private IButtonCommand<T> buttonCommand;

    //发起命令
    public T executeCommand(){
        return (T)buttonCommand.execute();
    }

    public IButtonCommand getButtonCommand() {
        return buttonCommand;
    }

    public void setButtonCommand(IButtonCommand buttonCommand) {
        this.buttonCommand = buttonCommand;
    }
}
